#

## resumeall

Resume normal display refresh on all windows.

### Usage:

> resumeall

### Summary:

> The resumeall command is a script that invokes the command update resume on all layout windows. It is used in conjunction with the suspendall command and is intended for use in Tcl scripts that perform multiple manipulations on layout in a window, where it is desired to have the entire display refresh at one time at the end of the script rather than for each command within the script.

> Because calls to update can be nested, calls to suspendall and resumeall are likewise nested. The resumeall command will have no effect until the same number of resumeall calls has been encountered as the number of suspendall calls made.

### Implementation Notes:

> resumeall is implemented as a Tcl procedure in the "tools" script.

### See Also:

> update
> suspendall

Return to command index

Last updated: October 8, 2004 at 1:25am